apt: debSLTypeDebian Class Reference

apt 3.0.1 commandline package manager

Protected Member Functions | Static Protected Member Functions | List of all members
debSLTypeDebian Class Reference
Inheritance diagram for debSLTypeDebian:

## Protected Member Functions
std::string | SnapshotServer (debReleaseIndex const *Rls) const
bool | CreateItemInternal (std::vector< metaIndex * > &List, std::string URI, std::string const &Dist, std::string const &Section, bool const &IsSrc, std::map< std::string, std::string > Options) const
bool | CreateItemInternalOne (std::vector< metaIndex * > &List, std::string URI, std::string const &Dist, std::string const &Section, bool const &IsSrc, std::map< std::string, std::string > Options) const
| debSLTypeDebian (char const *const Name, char const *const Label)

## Static Protected Member Functions
static std::string | NextLevelDomain (std::string Host)
| Given a hostname, strip one level down, e.g. a.b.c -> .b.c -> .c, this allows you to match a.b.c against itself, .b.c, and .c, but not b.c.

## Additional Inherited Members
Public Member Functions inherited from pkgSourceList::Type
bool | FixupURI (std::string &URI) const
virtual bool | ParseStanza (std::vector< metaIndex * > &List, pkgTagSection &Tags, unsigned int const stanza_n, FileFd &Fd)
virtual bool | ParseLine (std::vector< metaIndex * > &List, const char *Buffer, unsigned int const CurLine, std::string const &File) const
virtual bool | CreateItem (std::vector< metaIndex * > &List, std::string const &URI, std::string const &Dist, std::string const &Section, std::map< std::string, std::string > const &Options) const =0
| Type (char const *const Name, char const *const Label)
Static Public Member Functions inherited from pkgSourceList::Type
static Type * | GetType (const char *Type) APT_PURE
Public Attributes inherited from pkgSourceList::Type
char const *const | Name
char const *const | Label
Static Public Attributes inherited from pkgSourceList::Type
static Type ** | GlobalList = ItmList
static unsigned long | GlobalListLen = 0

The documentation for this class was generated from the following file:

- apt-pkg/deb/debmetaindex.cc